{% extends 'template_auth.html.twig' %}

{% block title %}
    Register          
    
{% endblock %}

{% block body %}
    <div class="Register">
        <div class="Register__Description">
            <h1>
                Inscription
                            
            </h1>
            <p>
                Rejoignez la communauté des Gameurs ! 
                                
                <br/>
                Bienvenue sur Gaming Library, une bibliothèque de jeux gratuit ou vous pouvez discuter entre amis !            
                            
            </p>
        </div>
        {{ form_start(registrationForm, {'attr': {'class': 'Register__Form' }}
        ) }}
            
                
        <div class="mb-3">
            {{ form_widget(registrationForm.email, {'attr': {'class': 'form-control', 'placeholder': 'Adresse Mail', 'required': true }}
            ) }}
                       
                        
            {{ form_errors(registrationForm.email) }}
        </div>
        <div class="mb-3">
            {{ form_widget(registrationForm.username, {'attr': {'class': 'form-control', 'placeholder': 'Surnom', 'required': true }}
            ) }}            
                        
            {{ form_errors(registrationForm.username) }}
        </div>
        <div class="mb-3">
            {{ form_widget(registrationForm.plainPassword, {'attr': {'class': 'form-control', 'placeholder': 'Nouveau mot de passe', 'required': true }}
            ) }}
                        
                        
            {{ form_errors(registrationForm.plainPassword) }}
        </div>
        <div class="mb-3">
            {{ form_widget(registrationForm._token) }}
        </div>
        <div class="mb-3 Register__Agree">
            {{ form_widget(registrationForm.agreeTerms, {'attr': {'class': 'form-control', 'placeholder': 'Nouveau mot de passe', 'required': true }}
            ) }}
                    
        </div>
        <button type="submit" class="btn btn-primary">
            <span>
                S'inscrire                              
                            
            </span>
            <i class="bi bi-arrow-right bi-2x"></i>
        </button>
        {{ form_end(registrationForm) }}
    </div>
{% endblock %}
